Summary:        Lightweight library for embedding a webserver in applications
Name:           libmicrohttpd
Version:        0.9.77
Release:        4%{?dist}
License:        LGPLv2+
URL:            http://www.gnu.org/software/libmicrohttpd/
Source0:        https://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.gz
Patch3000:      gnutls-utilize-system-crypto-policy.patch

BuildRequires:  make
BuildRequires:  libtool gnutls-devel
BuildRequires:  texinfo doxygen graphviz
Requires(post): info
Requires(preun): info

%description
This packages contains a small C library that makes it easy to run an HTTP server as part of 
another application.

%package devel
Summary:        Development files for libmicrohttpd
Requires:       %{name} = %{version}-%{release}

%description devel
This packages provides development files for libmicrohttpd.

%package doc
Summary:        Documentation for libmicrohttpd
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
This packages contains doxygen documentation for libmicrohttpd and some example source code.

%prep
%autosetup -p1

%build
%configure --disable-static --with-gnutls --enable-https=yes
%make_build
make -C doc/doxygen full

%check
%make_build check

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_bindir}/demo

# Install /usr/share/doc/libmicrohttpd-doc/examples
mkdir examples
install -m 644 src/examples/*.c examples
install -m 644 doc/examples/*.c examples

cp -R doc/doxygen/html html

%post doc
/sbin/install-info %{_infodir}/libmicrohttpd.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/libmicrohttpd-tutorial.info.gz %{_infodir}/dir || :

%preun doc
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/libmicrohttpd.info.gz %{_infodir}/dir || :
/sbin/install-info --delete %{_infodir}/libmicrohttpd-tutorial.info.gz %{_infodir}/dir || :
fi

%files
%license COPYING
%doc README NEWS
%{_libdir}/libmicrohttpd.so.*

%files devel
%{_includedir}/microhttpd.h
%{_libdir}/libmicrohttpd.so
%{_libdir}/pkgconfig/libmicrohttpd.pc

%files doc
%doc AUTHORS README ChangeLog examples html
%{_infodir}/libmicrohttpd.info.*
%{_infodir}/libmicrohttpd-tutorial.info.*
%{_infodir}/libmicrohttpd_performance_data.png.gz
%{_mandir}/man3/libmicrohttpd.3.gz

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.77-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.77-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.77-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 Wang Guodong <gordonwwang@tencent.com> - 0.9.77-1
- Upgrade to version 0.9.77
- CVEs fixed: CVE-2023-27371

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.75-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.75-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Wang Guodong <gordonwwang@tencent.com> - 0.9.75-1
- package init.
